Loading...
Searching...
No Matches
D3D12_VERSIONED_ROOT_SIGNATURE_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D_ROOT_SIGNATURE_VERSION | Version
union { |
D3D12_ROOT_SIGNATURE_DESC Desc_1_0 |
D3D12_ROOT_SIGNATURE_DESC1 Desc_1_1 |
}; |

## Detailed Description

Definition at line 3092 of file mini_d3d12.h.

## Member Data Documentation

## Version

D3D_ROOT_SIGNATURE_VERSION D3D12_VERSIONED_ROOT_SIGNATURE_DESC::Version

Definition at line 3093 of file mini_d3d12.h.

## Desc_1_0

D3D12_ROOT_SIGNATURE_DESC D3D12_VERSIONED_ROOT_SIGNATURE_DESC::Desc_1_0

Definition at line 3095 of file mini_d3d12.h.

## Desc_1_1

D3D12_ROOT_SIGNATURE_DESC1 D3D12_VERSIONED_ROOT_SIGNATURE_DESC::Desc_1_1

Definition at line 3096 of file mini_d3d12.h.

## [union]

union { ... } D3D12_VERSIONED_ROOT_SIGNATURE_DESC

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h